<?php
//Task 60586
exit; 

ob_start();
if(!(is_readable(realpath(dirname(__FILE__).'/../').'/include/includesroutines.inc'))) {
	die('Error - Could not open or read file '.realpath(dirname(__FILE__).'/../').'/include/includesroutines.inc');
} else {
	include_once(realpath(dirname(__FILE__).'/../').'/include/includesroutines.inc');

}
session_write_close();

$cn = db_connect();
if (isset($_REQUEST['hash'])) {
	$hash = $_REQUEST['hash'];
} else {
	$hash = '-';
}

if (isset($_REQUEST['skpollingobject']) && is_numeric($_REQUEST['skpollingobject']) && db_checkObjectVersionuHashByPollingObject($cn, $_REQUEST['skpollingobject'], $hash)){
	ob_end_flush();
	exit;
} else {
	getResource("message.portalwasupdated");
	ob_end_flush();
	exit;
}
?>